<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form id="ds097cerfa13982" label="Poissonnier : Dérogation sanitaire" xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
	<group id="infosDeclaration" label="La déclaration">
		<data id="typeDeclaration" label="Type de déclaration" mandatory="true" type="Radios(inline:true)">
			<help>Il s'agit d'indiquer s'il s'agit d'une première déclaration ou de l'actualisation d'une déclaration.</help>
			<conftype>
				<referential>
					<text id="typePremiere">Première déclaration</text>
					<text id="typeActualisation">Actualisation</text>
				</referential>
			</conftype>
		</data>
	</group>
	<group id="infosEtablissement" label="L'établissement">
		<data id="siret" label="Siret" mandatory="true" type="SIRET" width="100%">
        </data>
		<data id="nomEtablissement" label="Nom" mandatory="true" type="String(max:100)">
        </data>
		<group id="cadreAdresse" label="Adresse">
			<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
			<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
			<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
			<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
			<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
			<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
			<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
				<value>
					<text id="FRXXXXX">France</text>
				</value>
			</data>
			<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
			<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
				<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
		</group>
		<data id="exploitantDifferent" label="Exploitant différent du déclarant" mandatory="true" type="boolean">
			<value>no</value>
		</data>
		<group id="infosExploitant" label="Exploitant de l'établissement">
			<if>$exploitantDifferent</if>
			<group id="cadreIdentite" label="Identité">
				<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
					<conftype>
						<referential>
							<text id="civiliteFeminin">Madame</text>
							<text id="civiliteMasculin">Monsieur</text>
						</referential>
					</conftype>
				</data>
				<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
				<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
				<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
			</group>
			<group id="cadreContact" label="Coordonnnées de contact">
				<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
					<conftype>
						<referential>
							<text id="telephoneFixe">Téléphone fixe</text>
							<text id="telephoneMobile">Téléphone mobile</text>
						</referential>
					</conftype>
				</data>
				<group id="telephoneFixe" label="Téléphone fixe">
					<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
					<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
				</group>
				<group id="telephoneMobile" label="Téléphone mobile">
					<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
					<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
				</group>
				<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
				<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
			</group>
		</group>
	</group>
	<group id="infosActivite" label="Les produits et commerces">
		<group id="cadreProduits" label="Produits">
			<group id="cadreViandeFraiche" label="Viande fraiche hors viande hachée">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreProduitsBaseViande" label="Produits à base de viande, plats cuisinés...">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreLaitsTraites" label="Laits traités thermiquement">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreProduitsLaitiers" label="Produits laitiers">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadrePreparationBaseOeuf" label="Produits à base d'oeuf">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreProduitsNonTransformes" label="Produits non transformés de la pêche">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreProduitsTransformes" label="Produits transformés de la pêche">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreEscargots" label="Escargots préparés ou transformés">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
			<group id="cadreRepasPreparation" label="Repas ou préparations culinaires">
				<data id="declaration" label="declaration" mandatory="false" type="Boolean">
        </data>
				<data id="quantite" label="Quantité hebdomadaire produite (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
				<data id="quantiteHebdo" label="Quantité hebdomadaire cédée (kg, litres, unités)" mandatory="true" type="Integer">
					<if>_group.declaration</if>
				</data>
			</group>
		</group>
		<group id="cadreCommerces[]" label="Liste des établissements concernés" max-occurs="12">
			<data id="nomEtablissement" label="Nom de l'établissement" mandatory="true" type="String(max:100)">
        </data>
			<group id="cadreAdresse" label="Adresse">
				<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
				<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
				<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
				<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
				<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
				<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
				<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
					<value>
						<text id="FRXXXXX">France</text>
					</value>
				</data>
				<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
				<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
					<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
					<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
				</data>
			</group>
			<data id="distanceEtablissement" label="Distance en kms" mandatory="true" type="Integer">
        </data>
			<data id="categoriesProduits" label="Catégories des produits concernés" mandatory="true" type="String(max:100)">
        </data>
		</group>
	</group>
	<group id="cadreIdentiteGroupe" label="Votre identité">
		<group id="cadreIdentite" label="Identité">
			<data id="civilite" label="Civilité" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="civiliteFeminin">Madame</text>
						<text id="civiliteMasculin">Monsieur</text>
					</referential>
				</conftype>
			</data>
			<data id="nomNaissance" label="Nom de naissance" mandatory="true" type="String(max:50)">
        </data>
			<data id="nomUsage" label="Nom d'usage" mandatory="false" type="String(max:50)">
        </data>
			<data id="prenoms[]" label="Prénom(s) dans l'ordre de l'état civil" mandatory="true" max-occurs="4" min-occurs="1" type="String(max:50)">
        </data>
		</group>
		<group id="cadreContact" label="Coordonnnées de contact">
			<data id="telephone" label="Téléphone :" mandatory="true" type="CheckBoxes">
				<conftype>
					<referential>
						<text id="telephoneFixe">Téléphone fixe</text>
						<text id="telephoneMobile">Téléphone mobile</text>
					</referential>
				</conftype>
			</data>
			<group id="telephoneFixe" label="Téléphone fixe">
				<if>Value('id').of(_group.telephone).contains('telephoneFixe')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<group id="telephoneMobile" label="Téléphone mobile">
				<if>Value('id').of(_group.telephone).contains('telephoneMobile')</if>
				<data id="telephoneNum" label="Numéro de téléphone :" mandatory="true" type="Phone(displayExample:true)">
            </data>
			</group>
			<data id="courriel" label="Courriel" mandatory="false" type="email">
        </data>
			<data id="siteWeb" label="Site Web" mandatory="false" type="string">
        </data>
		</group>
		<group id="cadreAdresse" label="Adresse">
			<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
			<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
			<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
			<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
			<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
			<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
			<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
				<value>
					<text id="FRXXXXX">France</text>
				</value>
			</data>
			<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
			<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
				<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
				<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
			</data>
		</group>
	</group>
	<group id="cadreSignatureGroupe" label="Votre signature">
		<group id="cadreSignature" label="Signature">
			<data id="soussigne" label="Je soussigné" mandatory="true" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="signataireQualiteDeclarant">Le déclarant</text>
						<text id="signataireQualiteMandataire">Le mandataire ayant procuration</text>
					</referential>
				</conftype>
				<value>
					<text id="signataireQualiteDeclarant">Le déclarant</text>
				</value>
			</data>
			<data id="declarationHonneur" label="déclare sur l'honneur l'exactitude des informations saisies et signe la présente déclaration." type="BooleanCheckBox">
				<value>yes</value>
			</data>
			<group id="informationsMandataire" label="Coordonnées du mandataire">
				<if>Value('id').of($cadreSignature.soussigne).eq('signataireQualiteMandataire')</if>
				<data id="nomPrenomDenomination" label="Nom et prénom du mandataire ou dénomination sociale :" mandatory="true" type="String(max:100)"/>
				<group id="cadreAdresse" label="Adresse">
					<data id="numeroVoie" label="Numéro de voie" mandatory="false" type="String(max:9)">
        </data>
					<data id="indiceVoie" label="Indice de répétition" mandatory="false" type="ComboBox(ref:'indice')"/>
					<data id="typeVoie" label="Type de voie" mandatory="true" type="ComboBox(ref:'type')">
        </data>
					<data id="nomVoie" label="Nom de la voie" mandatory="true" type="String(max:32)">
        </data>
					<data id="complementAdresse" label="Complément d'adresse" mandatory="false" type="String(max:38)">
        </data>
					<data id="distributionSpeciale" label="Distribution spéciale" mandatory="false" type="String(max:8)">
        </data>
					<data id="pays" label="Pays" mandatory="true" type="ComboBoxSelectExternal">
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
						<value>
							<text id="FRXXXXX">France</text>
						</value>
					</data>
					<data id="codePostal" label="Code postal" mandatory="true" trigger="navigation.refresh(this,'_group.commune')" type="String(max:9,pattern:'^[0-9A-Z\\s\\-]{3,9}$')">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
					<data id="commune" label="Commune" mandatory="true" type="ComboBoxSelectExternal">
						<if>Value('id').of(_group.pays).eq('FRXXXXX')</if>
						<conftype>
							<referential>
								<external>
									<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
									<base>content</base>
									<id>{{entityId}}</id>
									<label>{{{label}}}</label>
								</external>
							</referential>
						</conftype>
					</data>
					<data id="ville" label="Ville" mandatory="true" type="string(max:32)">
						<if>not Value('id').of(_group.pays).eq('FRXXXXX')</if>
					</data>
				</group>
			</group>
			<data id="signatureLieu" label="Fait à" mandatory="true" type="String(max:32)">
            </data>
			<data id="signatureDate" label="Le" mandatory="true" type="DatePast">
			</data>
		</group>
	</group>
</form>